<?php
/**
* @version	$Id: images.php 14241 2011-03-16 20:24:35Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class ImagesItem extends kDBItem {

		function Delete($id)
		{
			$this->Load($id);
			$local_path = FULL_PATH.$this->GetDBField('LocalPath');
			$thumb_path = FULL_PATH.$this->GetDBField('ThumbPath');
			if(file_exists($local_path))
			{
				unlink($local_path);
			}
			if(file_exists($thumb_path))
			{
				unlink($thumb_path);
			}
			return parent::Delete($id);
		}

	}